summaryrefslogtreecommitdiffstats
path: root/systemtest/testcases_mandatory/test_conversion/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'systemtest/testcases_mandatory/test_conversion/test.sh')
-rwxr-xr-xsystemtest/testcases_mandatory/test_conversion/test.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/systemtest/testcases_mandatory/test_conversion/test.sh b/systemtest/testcases_mandatory/test_conversion/test.sh
index 997c73b..5c165d9 100755
--- a/systemtest/testcases_mandatory/test_conversion/test.sh
+++ b/systemtest/testcases_mandatory/test_conversion/test.sh
@@ -80,11 +80,11 @@ echo "Test by:"$PROGNAME" at "`date`|tee $LOG
#---------------------------Precondition------------------------------------------
# check the Postgres
-ps -e | grep --quiet postmaster
+ps -e | grep --quiet -w postgres
if [ $? -ne 0 ]
then
- echo no postmaster available|tee -a $LOG
- exit $CODE_FAIL
+ echo no postgres available|tee -a $LOG
+ exit $CODE_FAIL
fi
# check the Rasdaman
@@ -391,7 +391,7 @@ rm mr_1.hdf.unknown
if [ $NUM_TOTAL = $NUM_SUC ]
then
- exit $CODE_OK 0
+ exit $CODE_OK
else
- exit $CODE_FAIL 255
- fi \ No newline at end of file
+ exit $CODE_FAIL
+ fi